ARG BASE_CONTAINER=betalupi/jupyter-base
FROM $BASE_CONTAINER
LABEL maintainer="Mark <mark@betalupi.com>"

USER root
RUN apt-get update --yes && apt-get install --yes --no-install-recommends \
		octave \
		gnuplot \
	&& \
	apt-get clean && rm -rf /var/lib/apt/lists/*

USER ${NB_UID}
RUN mamba install --quiet --yes \
	"octave_kernel" \
	&& \
	# Cleanup
	mamba clean --all -f -y && \
	npm cache clean --force && \
	jupyter lab clean && \
	rm -rf "/home/${NB_USER}/.cache/yarn" && \
	fix-permissions "${CONDA_DIR}" && \
	fix-permissions "/home/${NB_USER}"

USER ${NB_UID}
